replicaCount: 1

podAnnotations:
  dapr.io/enabled: "true"
  dapr.io/app-id: "prod-plume"
  dapr.io/app-port: "8085"
  dapr.io/api-token-secret: "dapr-api-token"
  dapr.io/app-protocol: "http"
  dapr.io/log-as-json: "true"
  dapr.io/sidecar-cpu-request: "10m"
  dapr.io/sidecar-memory-request: "50Mi"
env:
  - name: APP_VERSION
    value: "4.16.3"
  - name: LOG_LEVEL
    value: "2"
  - name: DAPR_API_TOKEN
    valueFrom:
      secretKeyRef:
        name: dapr-api-token
        key: token
ingress:
  enabled: true
  className: "nginx"
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-production
    nginx.ingress.kubernetes.io/backend-protocol: HTTP
    nginx.ingress.kubernetes.io/ssl-redirect: "true"
    oceanbox.io/expose: internal
  hosts:
    - host: plume.data.oceanbox.io
      paths:
        - path: /
          pathType: ImplementationSpecific
      internal:
        - path: /internal
          pathType: ImplementationSpecific
        - path: /dapr
          pathType: ImplementationSpecific
        - path: /actors
          pathType: ImplementationSpecific
        - path: /job
          pathType: ImplementationSpecific
        - path: /events
          pathType: ImplementationSpecific
        - path: /metrics
          pathType: ImplementationSpecific
  tls:
    - hosts:
        - plume.data.oceanbox.io
      secretName: plume-tls
persistence:
  enabled: true
  existingClaim: prod-plume-ceph-archives
